PopulateActionForm (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class PopulateActionForm

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractPopulateActionForm
              org.apache.struts.chain.commands.servlet.PopulateActionForm

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

    public class PopulateActionForm

extends AbstractPopulateActionForm

Populate the form bean (if any) for this request. Sets the multipart class from the action config in the request attributes.

Version:
  $Rev: 471754 $ $Date: 2005-11-12 13:01:44 -0500 (Sat, 12 Nov 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`PopulateActionForm()`

Method Summary
`protected void` | `populate(ActionContext context, ActionConfig actionConfig, ActionForm actionForm)` Populate the given `ActionForm` with request parameter values, taking into account any prefix/suffix values configured on the given `ActionConfig`.
`protected void` | `reset(ActionContext context, ActionConfig actionConfig, ActionForm actionForm)` Call the `reset()` method on the specified form bean.

Methods inherited from class org.apache.struts.chain.commands.AbstractPopulateActionForm
`execute, handleCancel, trimParameterName`

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopulateActionForm

    public PopulateActionForm()

Method Detail

### populate

    protected void populate(ActionContext context,
                            ActionConfig actionConfig,
                            ActionForm actionForm)
                     throws Exception

  Description copied from class: `AbstractPopulateActionForm`

  Populate the given `ActionForm` with request parameter values, taking into account any prefix/suffix values configured on the given `ActionConfig`.

  Specified by:
    `populate` in class `AbstractPopulateActionForm`
  Parameters:
    `context` - The ActionContext we are processing
    `actionConfig` - The ActionConfig we are processing
    `actionForm` - The ActionForm we are processing
  Throws:
    `Exception` - On an unexpected error

### reset

    protected void reset(ActionContext context,
                         ActionConfig actionConfig,
                         ActionForm actionForm)

  Description copied from class: `AbstractPopulateActionForm`

  Call the `reset()` method on the specified form bean.

  Specified by:
    `reset` in class `AbstractPopulateActionForm`
  Parameters:
    `context` - The context for this request
    `actionConfig` - The actionConfig for this request
    `actionForm` - The form bean for this request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.